org.apache.mina.transport.serial

## Class SerialPortUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.core.RuntimeIoException
        - - org.apache.mina.transport.serial.SerialPortUnavailableException

- All Implemented Interfaces:
    Serializable

      public class SerialPortUnavailableException
      extends RuntimeIoException

  Exception thrown when the serial port can't be open because it doesn't exists.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortUnavailableException(String details)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialPortUnavailableException

          public SerialPortUnavailableException(String details)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.